<?php

/* DCMS Special
 * Дата последнего редактирования 27.01.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

$set['title'] = lang('Оценки');
require_once H . 'sys/inc/thead.php';

if (isset($user)) {
    $ank['id'] = $user['id'];
}
if (isset($_GET['id'])) {
    $ank['id'] = intval($_GET['id']);
}


if ($ank['id'] != $user['id']) {
    $ank = get_user($ank['id']);
    $set['title'] = $ank['nick'] . ''; // заголовок страницы
    require_once H . 'sys/inc/thead.php';

    aut();

    #Навигация
    echo "<div class='card-header'>";
    echo "<a href='/' data-toggle='tooltip' data-placement='right' title='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='/modules/foto/'>" . lang('Фотоальбомы') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo lang('Оценки');
    echo "</div>";

    echo "<div class=\"list-group-item\">" . lang('Вы не можете просматривать чужие оценки') . "</div>";

    require_once H . 'sys/inc/tfoot.php';
    exit;
}

$ank = get_user($ank['id']);
if (!$ank) {
    header("Location: /index.php?" . SID);
    exit;
}

mysql_query("UPDATE `gallery_rating` SET `ready` = '0' WHERE `avtor` = '$ank[id]'");
err();

aut(); // форма авторизации
#Навигация
echo "<div class='card-header'>";
echo "<a href='/' data-toggle='tooltip' data-placement='right' title='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/modules/foto/'>" . lang('Фотоальбомы') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Оценки');
echo "</div>";

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_rating` WHERE `avtor` = '$ank[id]'"), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];
$q = mysql_query("SELECT * FROM `gallery_rating` WHERE `avtor` = '$ank[id]' ORDER BY `time` DESC LIMIT $start, $set[p_str]");

if ($k_post == 0) {
    $doc->NoResult();
}
while ($post = mysql_fetch_assoc($q)) {
    $ank2 = get_user($post['id_user']);
    $foto = mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery_foto` WHERE `id` = $post[id_foto]"));
    echo "<div class=\"list-group-item\">";

    user($ank2['id']);

    echo " <small style='color: grey'>" . date::timek($post['time']) . "</small> <br />";

    echo "<div style='display:inline;'><a href='/modules/foto/$user[id]/$foto[id_gallery]/$foto[id]/'><img  src='/modules/foto/foto50/$foto[id].$foto[ras]' alt='*' ></a></div>";
    $rat = mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_rating` WHERE `id_foto` = $foto[id] AND `like` = '6'"), 0);
    if ($rat > 0) {
        echo "<div style='display:inline;margin-left:-20px;vertical-align:top;'><img style='padding-top:-15px;' src='/style/icons/6.png'/></div>";
    }

    echo "</div>\n";
}

if ($k_page > 1) {
    echo "<div class=\"list-group-item\">";
    str("komm.php?id=" . $ank['id'] . '&amp;', $k_page, $page);
    echo "</div>";
}

require_once H . 'sys/inc/tfoot.php';
